<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>ReportList (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ReportList (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/util/report/ShallowObjectReport.html" title="class in com.sk89q.worldedit.util.report"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/report/ReportList.html" target="_top">Frames</a></li>
<li><a href="ReportList.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.report</div>
<h2 title="Class ReportList" class="title">Class ReportList</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.report.ReportList</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>, java.lang.Iterable&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;, java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;, java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ReportList</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>, java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#ReportList-java.lang.String-">ReportList</a></span>(java.lang.String&nbsp;title)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#add-int-com.sk89q.worldedit.util.report.Report-">add</a></span>(int&nbsp;index,
   <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;element)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#add-com.sk89q.worldedit.util.report.Report-">add</a></span>(<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;report)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#addAll-java.util.Collection-">addAll</a></span>(java.util.Collection&lt;? extends <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#addAll-int-java.util.Collection-">addAll</a></span>(int&nbsp;index,
      java.util.Collection&lt;? extends <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#clear--">clear</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#contains-java.lang.Object-">contains</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#containsAll-java.util.Collection-">containsAll</a></span>(java.util.Collection&lt;?&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#get-int-">get</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#getTitle--">getTitle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#indexOf-java.lang.Object-">indexOf</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#isEmpty--">isEmpty</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#iterator--">iterator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#lastIndexOf-java.lang.Object-">lastIndexOf</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.util.ListIterator&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#listIterator--">listIterator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.util.ListIterator&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#listIterator-int-">listIterator</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#remove-int-">remove</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#remove-java.lang.Object-">remove</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#removeAll-java.util.Collection-">removeAll</a></span>(java.util.Collection&lt;?&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#retainAll-java.util.Collection-">retainAll</a></span>(java.util.Collection&lt;?&gt;&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#set-int-com.sk89q.worldedit.util.report.Report-">set</a></span>(int&nbsp;index,
   <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;element)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#size--">size</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#subList-int-int-">subList</a></span>(int&nbsp;fromIndex,
       int&nbsp;toIndex)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#toArray--">toArray</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>&lt;T&gt;&nbsp;T[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#toArray-T:A-">toArray</a></span>(T[]&nbsp;a)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/report/ReportList.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.List">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.List</h3>
<code>replaceAll, sort, spliterator</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.Collection</h3>
<code>parallelStream, removeIf, stream</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ReportList-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ReportList</h4>
<pre>public&nbsp;ReportList(java.lang.String&nbsp;title)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTitle()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/report/Report.html#getTitle--">getTitle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a></code></dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public&nbsp;int&nbsp;size()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>size</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>size</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="isEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isEmpty</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isEmpty</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="contains-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public&nbsp;boolean&nbsp;contains(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>contains</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>contains</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre>public&nbsp;java.util.Iterator&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;&nbsp;iterator()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="toArray--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toArray</h4>
<pre>public&nbsp;java.lang.Object[]&nbsp;toArray()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>toArray</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>toArray</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="toArray-java.lang.Object:A-">
<!--   -->
</a><a name="toArray-T:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toArray</h4>
<pre>public&nbsp;&lt;T&gt;&nbsp;T[]&nbsp;toArray(T[]&nbsp;a)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>toArray</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>toArray</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="add-com.sk89q.worldedit.util.report.Report-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;boolean&nbsp;add(<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;report)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>add</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>add</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="remove-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;boolean&nbsp;remove(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>remove</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>remove</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="containsAll-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsAll</h4>
<pre>public&nbsp;boolean&nbsp;containsAll(java.util.Collection&lt;?&gt;&nbsp;c)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>containsAll</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>containsAll</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="addAll-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAll</h4>
<pre>public&nbsp;boolean&nbsp;addAll(java.util.Collection&lt;? extends <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;&nbsp;c)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addAll</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addAll</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="addAll-int-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAll</h4>
<pre>public&nbsp;boolean&nbsp;addAll(int&nbsp;index,
                      java.util.Collection&lt;? extends <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;&nbsp;c)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addAll</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="removeAll-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAll</h4>
<pre>public&nbsp;boolean&nbsp;removeAll(java.util.Collection&lt;?&gt;&nbsp;c)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeAll</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeAll</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="retainAll-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retainAll</h4>
<pre>public&nbsp;boolean&nbsp;retainAll(java.util.Collection&lt;?&gt;&nbsp;c)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>retainAll</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>retainAll</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>clear</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>clear</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>equals</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>equals</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>hashCode</code>&nbsp;in interface&nbsp;<code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>hashCode</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="get-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;get(int&nbsp;index)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>get</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="set-int-com.sk89q.worldedit.util.report.Report-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>set</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;set(int&nbsp;index,
                  <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;element)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>set</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="add-int-com.sk89q.worldedit.util.report.Report-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(int&nbsp;index,
                <a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;element)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>add</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="remove-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&nbsp;remove(int&nbsp;index)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>remove</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="indexOf-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexOf</h4>
<pre>public&nbsp;int&nbsp;indexOf(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>indexOf</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="lastIndexOf-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastIndexOf</h4>
<pre>public&nbsp;int&nbsp;lastIndexOf(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>lastIndexOf</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="listIterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listIterator</h4>
<pre>public&nbsp;java.util.ListIterator&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;&nbsp;listIterator()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>listIterator</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="listIterator-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listIterator</h4>
<pre>public&nbsp;java.util.ListIterator&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;&nbsp;listIterator(int&nbsp;index)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>listIterator</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="subList-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>subList</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;&nbsp;subList(int&nbsp;fromIndex,
                                      int&nbsp;toIndex)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>subList</code>&nbsp;in interface&nbsp;<code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/util/report/Report.html" title="interface in com.sk89q.worldedit.util.report"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/util/report/ShallowObjectReport.html" title="class in com.sk89q.worldedit.util.report"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/report/ReportList.html" target="_top">Frames</a></li>
<li><a href="ReportList.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
